
QGIS Application - Bug report #13134

Qgis crash with large sqlitle

2015-07-21 06:32 AM - Hildermes jose Medeiros Filho

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 21198

Description

Im trying to edit rivers and roads vectors in sqlitle format, qgis 2.8 crashes. Same data in shapefile has no problems with edition and

topology verification.

Affected verions 2.8.0/2.8.1/2.8.2

To work with sqlitle I'm using QGIS 2.2 or 2.4

Splitting the files in 2 allows edition, but some times its crashes.

History

#1 - 2015-07-21 06:39 AM - Hildermes jose Medeiros Filho

https://drive.google.com/file/d/0B8fCulpGgEa6T1VsNzk2ZEpLVW8/view?usp=sharing

Dumpfile

#2 - 2015-07-30 02:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Does it still crashes on 2.10? Can you pleas attach (or link) the offending sqlite db? Can you confirm that on 2.2/2.4 you have no crashes?

#3 - 2015-07-31 11:17 AM - Hildermes jose Medeiros Filho

No, thank you it is working.

I'll ask my support team to upgrade it and see if works with postgresql too. Sorry, I cant send you the data without IBGE authorization.

Thanks you, again.

#4 - 2015-07-31 11:22 AM - Giovanni Manghi

Hildermes jose Medeiros Filho wrote:

No, thank you it is working.

so on qgis 2.10 is ok, right?
https://drive.google.com/file/d/0B8fCulpGgEa6T1VsNzk2ZEpLVW8/view?usp=sharing


#5 - 2015-07-31 12:22 PM - Hildermes jose Medeiros Filho

Yes, but I need that the TI sector to install it and test it.

for now it is solved.

Do you know why it was crashing?

#6 - 2015-11-10 03:39 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
